aboutsummaryrefslogtreecommitdiff
path: root/bin/rofi_wiki
diff options
context:
space:
mode:
Diffstat (limited to 'bin/rofi_wiki')
-rwxr-xr-xbin/rofi_wiki9
1 files changed, 9 insertions, 0 deletions
diff --git a/bin/rofi_wiki b/bin/rofi_wiki
new file mode 100755
index 0000000..185f47a
--- /dev/null
+++ b/bin/rofi_wiki
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+name=$(find ~/wiki/*.wiki -printf "%f\n" | sed -e 's:\.[^./]*$::' | rofi -dmenu -p 'wiki:')
+
+if ! [[ -z $name ]]
+then
+ i3-msg '[title="VimWiki"]' scratchpad show
+ exec gvim --servername VIMWIKI --remote ~/wiki/$name.wiki
+fi